=== debian/changelog ===
xfree86-driver-synaptics (0.14.6-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 16 Jul 2006 16:41:01 +0200

xfree86-driver-synaptics (0.14.5-1) unstable; urgency=low

  * New upstream release.
  * Motion with pressure sensitivity merged upstream. (Closes: #337350)
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 04 Jun 2006 19:45:35 +0200

xfree86-driver-synaptics (0.14.4-5) unstable; urgency=low

  * Added m68k to the Achitecture: field.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 30 Apr 2006 20:17:23 +0200
 

xfree86-driver-synaptics (0.14.4-4) unstable; urgency=low

  * Upload to unstable (Closes: #362108)
  * Added xorg-driver-synaptics to the Provides, Conflicts,
    Replaces list to ease Ubuntu mixed migrations (et al.)
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 27 Mar 2006 18:16:48 +0200
 

xfree86-driver-synaptics (0.14.4-3) experimental; urgency=low
  
  * building the driver as a shared object, this fixes a lintian warning
    and better fits in the modular xorg structure.
 
 -- Mattia Dongili <malattia@debian.org>  Wed, 22 Mar 2006 22:33:39 +0100
 

xfree86-driver-synaptics (0.14.4-2) experimental; urgency=low
  
  * New binary package name to follow modular xorg naming.
  * Now suggesting the driver's graphical configuration tools.
  * README.Debian: removed note about the 2.6.8 patch I removed recently.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 19 Mar 2006 17:01:09 +0100
 

xfree86-driver-synaptics (0.14.4-1) unstable; urgency=low
  
  * New upstream version.
  * Upstream added an -K command line option to syndaemon to ignore
    Modifier+AnyKey combos (closes: #335888).
  * Removed the rediffed patch against Debian's 2.6.8 kernel.
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 07 Nov 2005 22:54:40 +0100
 

xfree86-driver-synaptics (0.14.3-1) unstable; urgency=low
  
  * New upstream version.
  * Updated README.Debian to reflect newer X.Org dependencies.
 
 -- Mattia Dongili <malattia@debian.org>  Fri, 22 Jul 2005 21:17:37 +0200
 

xfree86-driver-synaptics (0.14.2-2) unstable; urgency=low
  
  * Can now install together with xorg (closes: #318118).
 
 -- Mattia Dongili <malattia@debian.org>  Wed, 29 Jun 2005 12:00:00 +0200
 

xfree86-driver-synaptics (0.14.2-1) unstable; urgency=low
  
  * New upstream release.
  * Added notes to README.Debian to run syndaemon from .xinitrc 
    (closes: #296485)
 
 -- Mattia Dongili <malattia@debian.org>  Wed, 18 May 2005 00:24:14 +0200
 

xfree86-driver-synaptics (0.14.1-1) unstable; urgency=low
  
  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Tue, 15 Mar 2005 22:33:25 +0100
 

xfree86-driver-synaptics (0.14.0-1) unstable; urgency=low

  * New upstream release:
    - now correcly removes the shared memory segment when exiting X 
      (closes: #263382).

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Mon, 10 Jan 2005 21:14:44 +0100

xfree86-driver-synaptics (0.13.6-2) unstable; urgency=low

  * Install in /usr/X11R6/lib as all the xfree drivers on 64 bit archs.  (closes: #280658)
  * Provided an alternative patch for debian-kernel users. (closes: #282359)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sat, 18 Dec 2004 20:07:15 +0100

xfree86-driver-synaptics (0.13.6-1) unstable; urgency=low
  
  * New upstream.
 
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sun, 24 Oct 2004 22:14:32 +0200

xfree86-driver-synaptics (0.13.5-2) unstable; urgency=low
  
  * Re-fixed synaptics_drv.o mode to 0644 (why did it reappear?).
 
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Thu, 19 Aug 2004 16:09:56 +0200

xfree86-driver-synaptics (0.13.5-1) unstable; urgency=low
  
  * New upstream.
 
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sun, 08 Aug 2004 12:41:38 +0200

xfree86-driver-synaptics (0.13.4-1) unstable; urgency=low

  * New upstream.
 
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue, 27 Jul 2004 22:44:16 +0200

xfree86-driver-synaptics (0.13.3-1) unstable; urgency=low

  * New upstream.
  * Fixed synaptics_drv.o mode to 0644.

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Thu, 20 Jun 2004 15:59:25 +0200

xfree86-driver-synaptics (0.13.2-1) unstable; urgency=low

  * New upstream.
  * Fixed middle mouse button emulation. (closes: #247219)
  * Fixed detection of ALPS touchpads when using a 2.6 linux kernel. (closes: #245682)
  * Made double clicks faster. (closes: #248826)
  * Uploaded with the correct upstream changelog. (closes: #248811)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue, 11 May 2004 09:59:15 +0200
 

xfree86-driver-synaptics (0.13.0-1) unstable; urgency=low

  * New upstream.

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue, 27 Apr 2004 17:07:26 +0200
 

xfree86-driver-synaptics (0.12.5-1) unstable; urgency=low

  * New upstream. (closes: #239329)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sat, 20 Mar 2004 12:58:37 +0100
 

xfree86-driver-synaptics (0.12.4-1) unstable; urgency=low

  * Initial Release. (closes: #219163, #231763)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue,  2 Mar 2004 11:42:05 +0100
