=== debian/control ===
Source: xfree86-driver-synaptics
Section: x11
Priority: optional
Maintainer: Mattia Dongili <malattia@debian.org>
Build-Depends: debhelper (>= 4.0.0), libx11-dev, libxext-dev, libxi-dev, x11proto-core-dev
Standards-Version: 3.7.2

Package: xfree86-driver-synaptics
Architecture: alpha amd64 arm hppa i386 ia64 m68k mips mipsel powerpc sparc
Depends: xserver-xorg-input-synaptics (>= 0.14.4-2)
Description: dummy package to upgrade to X.Org new modular packages
 This is a dummy package provided to smooth upgrades from 
 xfree86-driver-synaptics to xserver-xorg-input-synaptics.
 It can be safely removed once xserver-xorg-input-synaptics is installed.

Package: xserver-xorg-input-synaptics
Architecture: alpha amd64 arm hppa i386 ia64 m68k mips mipsel powerpc sparc
Depends: ${shlibs:Depends}, libxi6, xserver-xorg-core (>= 1.0.0)
Conflicts: xfree86-driver-synaptics (<< 0.14.4-2), xorg-driver-synaptics
Replaces: xfree86-driver-synaptics (<< 0.14.4-2), xorg-driver-synaptics
Provides: xfree86-driver-synaptics, xorg-driver-synaptics
Suggests: gsynaptics | ksynaptics | qsynaptics
Description: Synaptics TouchPad driver for X.Org/XFree86 server
 This package provides an input driver for the X.Org/XFree86 X server to enable
 advanced features of the Synaptics Touchpad including:
 .
  * Movement with adjustable, non-linear acceleration and speed
  * Button events through short touching of the touchpad
  * Double-Button events through double short touching of the touchpad
  * Dragging through short touching and holding down the finger on the touchpad
  * Middle and right button events on the upper and lower corner of the touchpad
  * Vertical scrolling (button four and five events) through moving the finger 
    on the right side of the touchpad
  * The up/down button sends button four/five events
  * Horizontal scrolling (button six and seven events) through moving the finger 
    on the lower side of the touchpad
  * The multi-buttons send button four/five events, and six/seven events for 
    horizontal scrolling
  * Adjustable finger detection
  * Multifinger taps: two finger for middle button and three finger for right 
    button events. (Needs hardware support. Not all models implement this 
    feature.)
  * Run-time configuration using shared memory. This means you can change 
    parameter settings without restarting the X server (see synclient(1)).
  * It also provides a daemon to disable touchpad while typing at the keyboard 
    and thus avoid unwanted mouse movements (see syndaemon(1)).
 .
 Homepage: http://web.telia.com/~u89404340/touchpad/index.html
