=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 2004 by Mattia Dongili.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# the package: nothing to do

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# compile the package: detect architecture and launch make
	$(MAKE) BUILD_MODULAR=y PREFIX=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# clean up:
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# install the package into debian/xserver-xorg-input-synaptics
	$(MAKE) install BUILD_MODULAR=y PREFIX=/usr DESTDIR=$(CURDIR)/debian/xserver-xorg-input-synaptics


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
